-- MySQL dump 9.10
--
-- Host: localhost    Database: playsms
-- ------------------------------------------------------
-- Server version	4.0.18-log

--
-- Table structure for table `featBoard`
--

DROP TABLE IF EXISTS featBoard;
CREATE TABLE featBoard (
  board_id int(11) NOT NULL auto_increment,
  uid int(11) NOT NULL default '0',
  board_code varchar(100) NOT NULL default '',
  board_forward_email varchar(250) NOT NULL default '',
  board_pref_template text NOT NULL,
  PRIMARY KEY  (board_id)
) TYPE=MyISAM;

--
-- Dumping data for table `featBoard`
--

INSERT INTO featBoard VALUES (1,1,'LOVE','anton@ngoprek.org','<font color=black size=-1><b>##SENDER##</b></font><br><font color=black size=-2><i>##DATETIME##</i></font><br><font color=black size=-1>##MESSAGE##</font>');

--
-- Table structure for table `featCommand`
--

DROP TABLE IF EXISTS featCommand;
CREATE TABLE featCommand (
  command_id int(11) NOT NULL auto_increment,
  uid int(11) NOT NULL default '0',
  command_code varchar(10) NOT NULL default '',
  command_exec text NOT NULL,
  PRIMARY KEY  (command_id)
) TYPE=MyISAM;

--
-- Dumping data for table `featCommand`
--

INSERT INTO featCommand VALUES (1,1,'UPTIME','/home/playsms/public_html/bin/uptime.sh ##SMSSENDER##');
INSERT INTO featCommand VALUES (2,1,'UNAME','/home/playsms/public_html/bin/uname.sh ##SMSSENDER##');

--
-- Table structure for table `featCommand_log`
--

DROP TABLE IF EXISTS featCommand_log;
CREATE TABLE featCommand_log (
  command_log_id int(11) NOT NULL auto_increment,
  sms_sender varchar(20) NOT NULL default '',
  command_log_datetime varchar(20) NOT NULL default '',
  command_log_code varchar(10) NOT NULL default '',
  command_log_exec text NOT NULL,
  PRIMARY KEY  (command_log_id)
) TYPE=MyISAM;

--
-- Dumping data for table `featCommand_log`
--


--
-- Table structure for table `featCustom`
--

DROP TABLE IF EXISTS featCustom;
CREATE TABLE featCustom (
  custom_id int(11) NOT NULL auto_increment,
  uid int(11) NOT NULL default '0',
  custom_code varchar(10) NOT NULL default '',
  custom_url text NOT NULL,
  PRIMARY KEY  (custom_id)
) TYPE=MyISAM;

--
-- Dumping data for table `featCustom`
--

INSERT INTO featCustom VALUES (1,1,'FILM','http://ngoprek.org/film.php?id=717&ss=##SMSSENDER##&cc=##CUSTOMCODE##&cp=##CUSTOMPARAM##');

--
-- Table structure for table `featCustom_log`
--

DROP TABLE IF EXISTS featCustom_log;
CREATE TABLE featCustom_log (
  custom_log_id int(11) NOT NULL auto_increment,
  sms_sender varchar(20) NOT NULL default '',
  custom_log_datetime varchar(20) NOT NULL default '',
  custom_log_code varchar(10) NOT NULL default '',
  custom_log_url text NOT NULL,
  PRIMARY KEY  (custom_log_id)
) TYPE=MyISAM;

--
-- Dumping data for table `featCustom_log`
--


--
-- Table structure for table `featPoll`
--

DROP TABLE IF EXISTS featPoll;
CREATE TABLE featPoll (
  poll_id int(11) NOT NULL auto_increment,
  uid int(11) NOT NULL default '0',
  poll_title varchar(250) NOT NULL default '',
  poll_code varchar(10) NOT NULL default '',
  poll_enable int(11) NOT NULL default '0',
  PRIMARY KEY  (poll_id)
) TYPE=MyISAM;

--
-- Dumping data for table `featPoll`
--

INSERT INTO featPoll VALUES (1,1,'The choice its yours!','FAV',1);

--
-- Table structure for table `featPoll_choice`
--

DROP TABLE IF EXISTS featPoll_choice;
CREATE TABLE featPoll_choice (
  choice_id int(11) NOT NULL auto_increment,
  poll_id int(11) NOT NULL default '0',
  choice_title varchar(250) NOT NULL default '',
  choice_code varchar(10) NOT NULL default '',
  PRIMARY KEY  (choice_id)
) TYPE=MyISAM;

--
-- Dumping data for table `featPoll_choice`
--

INSERT INTO featPoll_choice VALUES (3,1,'Sex without Love','SWL');
INSERT INTO featPoll_choice VALUES (2,1,'Love Without Sex','LWS');

--
-- Table structure for table `featPoll_result`
--

DROP TABLE IF EXISTS featPoll_result;
CREATE TABLE featPoll_result (
  result_id int(11) NOT NULL auto_increment,
  poll_id int(11) NOT NULL default '0',
  choice_id int(11) NOT NULL default '0',
  poll_sender varchar(20) NOT NULL default '',
  PRIMARY KEY  (result_id)
) TYPE=MyISAM;

--
-- Dumping data for table `featPoll_result`
--


--
-- Table structure for table `gwmodKannel_dlr`
--

DROP TABLE IF EXISTS gwmodKannel_dlr;
CREATE TABLE gwmodKannel_dlr (
  kannel_dlr_id int(11) NOT NULL auto_increment,
  smslog_id int(11) NOT NULL default '0',
  kannel_dlr_type tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (kannel_dlr_id)
) TYPE=MyISAM;

--
-- Dumping data for table `gwmodKannel_dlr`
--


--
-- Table structure for table `gwmodUplink`
--

DROP TABLE IF EXISTS gwmodUplink;
CREATE TABLE gwmodUplink (
  up_id int(11) NOT NULL auto_increment,
  up_local_slid int(11) NOT NULL default '0',
  up_remote_slid int(11) NOT NULL default '0',
  up_status tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (up_id)
) TYPE=MyISAM;

--
-- Dumping data for table `gwmodUplink`
--


--
-- Table structure for table `tblConfig_main`
--

DROP TABLE IF EXISTS tblConfig_main;
CREATE TABLE tblConfig_main (
  cfg_web_title varchar(250) NOT NULL default '',
  cfg_email_service varchar(250) NOT NULL default '',
  cfg_email_footer varchar(250) NOT NULL default ''
) TYPE=MyISAM;

--
-- Dumping data for table `tblConfig_main`
--

INSERT INTO tblConfig_main VALUES ('Sistem Jaringan Partisipasi Publik','smsgw@ictwatch.com','Sistem Jaringan Partisipasi Publik persembahan dari ICT Watch (http://www.ictwatch.com)');

--
-- Table structure for table `tblSMSIncoming`
--

DROP TABLE IF EXISTS tblSMSIncoming;
CREATE TABLE tblSMSIncoming (
  in_id int(11) NOT NULL auto_increment,
  in_gateway varchar(100) NOT NULL default '',
  in_sender varchar(20) NOT NULL default '',
  in_masked varchar(20) NOT NULL default '',
  in_code varchar(20) NOT NULL default '',
  in_msg varchar(200) NOT NULL default '',
  in_datetime varchar(20) NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (in_id)
) TYPE=MyISAM;

--
-- Dumping data for table `tblSMSIncoming`
--


--
-- Table structure for table `tblSMSOutgoing`
--

DROP TABLE IF EXISTS tblSMSOutgoing;
CREATE TABLE tblSMSOutgoing (
  smslog_id int(11) NOT NULL auto_increment,
  flag_deleted tinyint(4) NOT NULL default '0',
  uid int(11) NOT NULL default '0',
  p_gateway varchar(100) NOT NULL default '',
  p_src varchar(100) NOT NULL default '',
  p_dst varchar(100) NOT NULL default '',
  p_msg varchar(250) NOT NULL default '',
  p_datetime varchar(20) NOT NULL default '0000-00-00 00:00:00',
  p_update varchar(20) NOT NULL default '0000-00-00 00:00:00',
  p_status tinyint(4) NOT NULL default '0',
  p_gpid tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (smslog_id)
) TYPE=MyISAM;

--
-- Dumping data for table `tblSMSOutgoing`
--


--
-- Table structure for table `tblUser`
--

DROP TABLE IF EXISTS tblUser;
CREATE TABLE tblUser (
  uid int(11) NOT NULL auto_increment,
  status tinyint(4) NOT NULL default '0',
  ticket varchar(100) NOT NULL default '',
  username varchar(100) NOT NULL default '',
  password varchar(100) binary NOT NULL default '',
  name varchar(100) NOT NULL default '',
  mobile varchar(100) NOT NULL default '',
  email varchar(250) NOT NULL default '',
  PRIMARY KEY  (uid)
) TYPE=MyISAM;

--
-- Dumping data for table `tblUser`
--

INSERT INTO tblUser VALUES (1,2,'290e98f1735e92b0f6b8c09e35bc7ed2','admin','admin','Anton Raharja','+628562205510','anton@ngoprek.org');

--
-- Table structure for table `tblUserGroupPhonebook`
--

DROP TABLE IF EXISTS tblUserGroupPhonebook;
CREATE TABLE tblUserGroupPhonebook (
  gpid int(11) NOT NULL auto_increment,
  uid int(11) NOT NULL default '0',
  gp_name varchar(100) NOT NULL default '',
  gp_code varchar(10) NOT NULL default '',
  PRIMARY KEY  (gpid)
) TYPE=MyISAM PACK_KEYS=0;

--
-- Dumping data for table `tblUserGroupPhonebook`
--


--
-- Table structure for table `tblUserInbox`
--

DROP TABLE IF EXISTS tblUserInbox;
CREATE TABLE tblUserInbox (
  in_id int(11) NOT NULL auto_increment,
  in_sender varchar(20) NOT NULL default '',
  in_uid int(11) NOT NULL default '0',
  in_msg varchar(200) NOT NULL default '',
  in_datetime varchar(20) NOT NULL default '0000-00-00 00:00:00',
  in_hidden tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (in_id)
) TYPE=MyISAM;

--
-- Dumping data for table `tblUserInbox`
--


--
-- Table structure for table `tblUserPhonebook`
--

DROP TABLE IF EXISTS tblUserPhonebook;
CREATE TABLE tblUserPhonebook (
  pid int(11) NOT NULL auto_increment,
  gpid int(11) NOT NULL default '0',
  uid int(11) NOT NULL default '0',
  p_num varchar(100) NOT NULL default '',
  p_desc varchar(250) NOT NULL default '',
  PRIMARY KEY  (pid)
) TYPE=MyISAM;

--
-- Dumping data for table `tblUserPhonebook`
--


